| Bsoft 2.0.5 Bernard's software package

Functions
model_plane.h File Reference

Library routines used for plane models. More...

`#include "rwmodel.h"`

Go to the source code of this file.

## Functions
Vector3< double > | model_fit_plane (Bmodel *model)
| Fits a plane through a model. More...
Bmodel * | model_generate_from_plane_guide (Bmodel *guide, double separation, double sigma)
| Generates a plane model and fits a plane through it. More...

## Detailed Description

Library routines used for plane models.

Author
  Bernard Heymann

Date
  Created: 20140925
  Modified: 20141008

Definition in file model_plane.h.

## Function Documentation

## ◆ model_fit_plane()

Vector3<double> model_fit_plane | ( | Bmodel * | model | ) |

Fits a plane through a model.

    A plane is fit through the components and the normal calculated from:
        n•p = d
    where n is the normal vector, p is a point in the plane, and d is the offset.
    Only the first model is fit.

Parameters

  *model | model structure.

Returns
  Vector3<double> plane normal.

Definition at line 30 of file model_plane.cpp.

## ◆ model_generate_from_plane_guide()

Bmodel* model_generate_from_plane_guide | ( | Bmodel * | guide,
|  | double | separation,
|  | double | sigma
| ) |  |

Generates a plane model and fits a plane through it.

Parameters

  *guide | model structure.
  separation | separation between components for new model.
  sigma | smoothness of model.

Returns
  Bmodel* new model based on input model.

      The principal axes of a planar model are calculated and a new plane model
      generated with the given separation between components.
      The components of the new model are then adjusted to fit the guide model.

Definition at line 186 of file model_plane.cpp.